Subject: Re: [PATCH/RFC 01/16] compat: let architectures define __ARCH_WANT_COMPAT_SYS_GETDENTS64

From: Chris Metcalf <[email-masked]>
Date: Thu, 20 Mar 2014 11:29:33 -0400

On 3/20/2014 10:51 AM, Heiko Carstens wrote:
> I think the simple patch below should fix the compile error.
> Unfortunately I don't have a tile cross compiler.
>
> But at least s390, x86_64, sparc64 and mip64 still compile, so it
> looks like I'm not immediatly lost in include order hell.
>
> (pushed to the s390 compat branch, so the next linux-next release
>  should contain the fix)
>
> From f80f4cd232c56f491ecbeea3dd0627598b59b61e Mon Sep 17 00:00:00 2001
> From: Heiko Carstens <[email-masked]>
> Date: Thu, 20 Mar 2014 15:30:14 +0100
> Subject: [PATCH] compat: include linux/unistd.h within linux/compat.h
>
> linux/compat.h does not include linux/unistd.h but the compat.h header
> file contains various conditional
>
>  #ifdef __ARCH_WANT_COMPAT_...
>  asmlinkage long compat...()
>  #endif
>
> compat system call function declarations.
> If linux/unistd.h isn't included it depends on previous includes if those
> __ARCH_WANT_COMPAT_... defines are defined or not. So add an additional
> linux/unistd.h include.
>
> Should fix this compile error on tile:
>
> include/uapi/asm-generic/unistd.h:195:1: error: 'compat_sys_getdents64' undeclared
> make[3]: *** [arch/tile/kernel/compat.o] Error 1
>
> Reported-by: Geert Uytterhoeven <[email-masked]>
> Signed-off-by: Heiko Carstens <[email-masked]>

This does fix the error on tilegx.  Thanks.

Acked-by: Chris Metcalf <[email-masked]>

-- 
Chris Metcalf, Tilera Corp.
http://www.tilera.com